## org.eclipse.amp.amf.sd
Interface SdPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SdPackageImpl

    public interface SdPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SdFactory`

Nested Class Summary
`static interface` `SdPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static SdPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `SD_ABSTRACT_VARIABLE` The meta object id for the '`Abstract Variable`' class.
`static int` `SD_ABSTRACT_VARIABLE__COMMENT` The feature id for the 'Comment' attribute.
`static int` `SD_ABSTRACT_VARIABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SD_ABSTRACT_VARIABLE__PARENT` The feature id for the 'Parent' container reference.
`static int` `SD_ABSTRACT_VARIABLE__TO_ELEMENT` The feature id for the 'To Element' containment reference list.
`static int` `SD_ABSTRACT_VARIABLE_FEATURE_COUNT` The number of structural features of the 'Abstract Variable' class.
`static int` `SD_AUX_VARIABLE` The meta object id for the '`Aux Variable`' class.
`static int` `SD_AUX_VARIABLE__COMMENT` The feature id for the 'Comment' attribute.
`static int` `SD_AUX_VARIABLE__EQUATION` The feature id for the 'Equation' attribute.
`static int` `SD_AUX_VARIABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SD_AUX_VARIABLE__PARENT` The feature id for the 'Parent' container reference.
`static int` `SD_AUX_VARIABLE__TO_ELEMENT` The feature id for the 'To Element' containment reference list.
`static int` `SD_AUX_VARIABLE_FEATURE_COUNT` The number of structural features of the 'Aux Variable' class.
`static int` `SD_CONNECTOR` The meta object id for the '`Connector`' class.
`static int` `SD_CONNECTOR__COMMENT` The feature id for the 'Comment' attribute.
`static int` `SD_CONNECTOR__NAME` The feature id for the 'Name' attribute.
`static int` `SD_CONNECTOR__TO_ELEMENT` The feature id for the 'To Element' reference.
`static int` `SD_CONNECTOR_FEATURE_COUNT` The number of structural features of the 'Connector' class.
`static int` `SD_EQUATION_VARIABLE` The meta object id for the '`Equation Variable`' class.
`static int` `SD_EQUATION_VARIABLE__COMMENT` The feature id for the 'Comment' attribute.
`static int` `SD_EQUATION_VARIABLE__EQUATION` The feature id for the 'Equation' attribute.
`static int` `SD_EQUATION_VARIABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SD_EQUATION_VARIABLE__PARENT` The feature id for the 'Parent' container reference.
`static int` `SD_EQUATION_VARIABLE__TO_ELEMENT` The feature id for the 'To Element' containment reference list.
`static int` `SD_EQUATION_VARIABLE_FEATURE_COUNT` The number of structural features of the 'Equation Variable' class.
`static int` `SD_FLOW_VARIABLE` The meta object id for the '`Flow Variable`' class.
`static int` `SD_FLOW_VARIABLE__COMMENT` The feature id for the 'Comment' attribute.
`static int` `SD_FLOW_VARIABLE__EQUATION` The feature id for the 'Equation' attribute.
`static int` `SD_FLOW_VARIABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SD_FLOW_VARIABLE__PARENT` The feature id for the 'Parent' container reference.
`static int` `SD_FLOW_VARIABLE__TO_ELEMENT` The feature id for the 'To Element' containment reference list.
`static int` `SD_FLOW_VARIABLE_FEATURE_COUNT` The number of structural features of the 'Flow Variable' class.
`static int` `SD_GENERATABLE` The meta object id for the '`Generatable`' class.
`static int` `SD_GENERATABLE__COMMENT` The feature id for the 'Comment' attribute.
`static int` `SD_GENERATABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SD_GENERATABLE_FEATURE_COUNT` The number of structural features of the 'Generatable' class.
`static int` `SD_MODEL` The meta object id for the '`Model`' class.
`static int` `SD_MODEL__ABSTRACT_VARIABLES` The feature id for the 'Abstract Variables' containment reference list.
`static int` `SD_MODEL__COMMENT` The feature id for the 'Comment' attribute.
`static int` `SD_MODEL__NAME` The feature id for the 'Name' attribute.
`static int` `SD_MODEL__PARENT` The feature id for the 'Parent' container reference.
`static int` `SD_MODEL_FEATURE_COUNT` The number of structural features of the 'Model' class.
`static int` `SD_NAMED_ELEMENT` The meta object id for the '`Named Element`' class.
`static int` `SD_NAMED_ELEMENT__COMMENT` The feature id for the 'Comment' attribute.
`static int` `SD_NAMED_ELEMENT__NAME` The feature id for the 'Name' attribute.
`static int` `SD_NAMED_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Named Element' class.
`static int` `SD_STOCK_VARIABLE` The meta object id for the '`Stock Variable`' class.
`static int` `SD_STOCK_VARIABLE__COMMENT` The feature id for the 'Comment' attribute.
`static int` `SD_STOCK_VARIABLE__INITIAL_VALUE` The feature id for the 'Initial Value' attribute.
`static int` `SD_STOCK_VARIABLE__INTEGRAL` The feature id for the 'Integral' attribute.
`static int` `SD_STOCK_VARIABLE__NAME` The feature id for the 'Name' attribute.
`static int` `SD_STOCK_VARIABLE__PARENT` The feature id for the 'Parent' container reference.
`static int` `SD_STOCK_VARIABLE__TO_ELEMENT` The feature id for the 'To Element' containment reference list.
`static int` `SD_STOCK_VARIABLE_FEATURE_COUNT` The number of structural features of the 'Stock Variable' class.

Method Summary
`org.eclipse.emf.ecore.EReference` `getSdAbstractVariable_Parent()` Returns the meta object for the container reference '`Parent`'.
`org.eclipse.emf.ecore.EReference` `getSdAbstractVariable_ToElement()` Returns the meta object for the containment reference list '`To Element`'.
`org.eclipse.emf.ecore.EClass` `getSdAbstractVariable()` Returns the meta object for class '`Abstract Variable`'.
`org.eclipse.emf.ecore.EClass` `getSdAuxVariable()` Returns the meta object for class '`Aux Variable`'.
`org.eclipse.emf.ecore.EReference` `getSdConnector_ToElement()` Returns the meta object for the reference '`To Element`'.
`org.eclipse.emf.ecore.EClass` `getSdConnector()` Returns the meta object for class '`Connector`'.
`org.eclipse.emf.ecore.EAttribute` `getSdEquationVariable_Equation()` Returns the meta object for the attribute '`Equation`'.
`org.eclipse.emf.ecore.EClass` `getSdEquationVariable()` Returns the meta object for class '`Equation Variable`'.
`SdFactory` `getSdFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass` `getSdFlowVariable()` Returns the meta object for class '`Flow Variable`'.
`org.eclipse.emf.ecore.EClass` `getSdGeneratable()` Returns the meta object for class '`Generatable`'.
`org.eclipse.emf.ecore.EReference` `getSdModel_AbstractVariables()` Returns the meta object for the containment reference list '`Abstract Variables`'.
`org.eclipse.emf.ecore.EClass` `getSdModel()` Returns the meta object for class '`Model`'.
`org.eclipse.emf.ecore.EAttribute` `getSdNamedElement_Comment()` Returns the meta object for the attribute '`Comment`'.
`org.eclipse.emf.ecore.EAttribute` `getSdNamedElement_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EClass` `getSdNamedElement()` Returns the meta object for class '`Named Element`'.
`org.eclipse.emf.ecore.EAttribute` `getSdStockVariable_InitialValue()` Returns the meta object for the attribute '`Initial Value`'.
`org.eclipse.emf.ecore.EAttribute` `getSdStockVariable_Integral()` Returns the meta object for the attribute '`Integral`'.
`org.eclipse.emf.ecore.EClass` `getSdStockVariable()` Returns the meta object for class '`Stock Variable`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final SdPackage eINSTANCE

  The singleton instance of the package.

### SD_NAMED_ELEMENT

    static final int SD_NAMED_ELEMENT

  The meta object id for the '`Named Element`' class.

  See Also:
    `SdNamedElementImpl`, `SdPackageImpl.getSdNamedElement()`, Constant Field Values

### SD_NAMED_ELEMENT__NAME

    static final int SD_NAMED_ELEMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SD_NAMED_ELEMENT__COMMENT

    static final int SD_NAMED_ELEMENT__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### SD_NAMED_ELEMENT_FEATURE_COUNT

    static final int SD_NAMED_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Named Element' class.

  See Also:
    Constant Field Values

### SD_GENERATABLE

    static final int SD_GENERATABLE

  The meta object id for the '`Generatable`' class.

  See Also:
    `SdGeneratableImpl`, `SdPackageImpl.getSdGeneratable()`, Constant Field Values

### SD_GENERATABLE__NAME

    static final int SD_GENERATABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SD_GENERATABLE__COMMENT

    static final int SD_GENERATABLE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### SD_GENERATABLE_FEATURE_COUNT

    static final int SD_GENERATABLE_FEATURE_COUNT

  The number of structural features of the 'Generatable' class.

  See Also:
    Constant Field Values

### SD_ABSTRACT_VARIABLE

    static final int SD_ABSTRACT_VARIABLE

  The meta object id for the '`Abstract Variable`' class.

  See Also:
    `SdAbstractVariableImpl`, `SdPackageImpl.getSdAbstractVariable()`, Constant Field Values

### SD_ABSTRACT_VARIABLE__NAME

    static final int SD_ABSTRACT_VARIABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SD_ABSTRACT_VARIABLE__COMMENT

    static final int SD_ABSTRACT_VARIABLE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### SD_ABSTRACT_VARIABLE__TO_ELEMENT

    static final int SD_ABSTRACT_VARIABLE__TO_ELEMENT

  The feature id for the 'To Element' containment reference list.

  See Also:
    Constant Field Values

### SD_ABSTRACT_VARIABLE__PARENT

    static final int SD_ABSTRACT_VARIABLE__PARENT

  The feature id for the 'Parent' container reference.

  See Also:
    Constant Field Values

### SD_ABSTRACT_VARIABLE_FEATURE_COUNT

    static final int SD_ABSTRACT_VARIABLE_FEATURE_COUNT

  The number of structural features of the 'Abstract Variable' class.

  See Also:
    Constant Field Values

### SD_EQUATION_VARIABLE

    static final int SD_EQUATION_VARIABLE

  The meta object id for the '`Equation Variable`' class.

  See Also:
    `SdEquationVariableImpl`, `SdPackageImpl.getSdEquationVariable()`, Constant Field Values

### SD_EQUATION_VARIABLE__NAME

    static final int SD_EQUATION_VARIABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SD_EQUATION_VARIABLE__COMMENT

    static final int SD_EQUATION_VARIABLE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### SD_EQUATION_VARIABLE__TO_ELEMENT

    static final int SD_EQUATION_VARIABLE__TO_ELEMENT

  The feature id for the 'To Element' containment reference list.

  See Also:
    Constant Field Values

### SD_EQUATION_VARIABLE__PARENT

    static final int SD_EQUATION_VARIABLE__PARENT

  The feature id for the 'Parent' container reference.

  See Also:
    Constant Field Values

### SD_EQUATION_VARIABLE__EQUATION

    static final int SD_EQUATION_VARIABLE__EQUATION

  The feature id for the 'Equation' attribute.

  See Also:
    Constant Field Values

### SD_EQUATION_VARIABLE_FEATURE_COUNT

    static final int SD_EQUATION_VARIABLE_FEATURE_COUNT

  The number of structural features of the 'Equation Variable' class.

  See Also:
    Constant Field Values

### SD_MODEL

    static final int SD_MODEL

  The meta object id for the '`Model`' class.

  See Also:
    `SdModelImpl`, `SdPackageImpl.getSdModel()`, Constant Field Values

### SD_MODEL__NAME

    static final int SD_MODEL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SD_MODEL__COMMENT

    static final int SD_MODEL__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### SD_MODEL__PARENT

    static final int SD_MODEL__PARENT

  The feature id for the 'Parent' container reference.

  See Also:
    Constant Field Values

### SD_MODEL__ABSTRACT_VARIABLES

    static final int SD_MODEL__ABSTRACT_VARIABLES

  The feature id for the 'Abstract Variables' containment reference list.

  See Also:
    Constant Field Values

### SD_MODEL_FEATURE_COUNT

    static final int SD_MODEL_FEATURE_COUNT

  The number of structural features of the 'Model' class.

  See Also:
    Constant Field Values

### SD_AUX_VARIABLE

    static final int SD_AUX_VARIABLE

  The meta object id for the '`Aux Variable`' class.

  See Also:
    `SdAuxVariableImpl`, `SdPackageImpl.getSdAuxVariable()`, Constant Field Values

### SD_AUX_VARIABLE__NAME

    static final int SD_AUX_VARIABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SD_AUX_VARIABLE__COMMENT

    static final int SD_AUX_VARIABLE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### SD_AUX_VARIABLE__TO_ELEMENT

    static final int SD_AUX_VARIABLE__TO_ELEMENT

  The feature id for the 'To Element' containment reference list.

  See Also:
    Constant Field Values

### SD_AUX_VARIABLE__PARENT

    static final int SD_AUX_VARIABLE__PARENT

  The feature id for the 'Parent' container reference.

  See Also:
    Constant Field Values

### SD_AUX_VARIABLE__EQUATION

    static final int SD_AUX_VARIABLE__EQUATION

  The feature id for the 'Equation' attribute.

  See Also:
    Constant Field Values

### SD_AUX_VARIABLE_FEATURE_COUNT

    static final int SD_AUX_VARIABLE_FEATURE_COUNT

  The number of structural features of the 'Aux Variable' class.

  See Also:
    Constant Field Values

### SD_STOCK_VARIABLE

    static final int SD_STOCK_VARIABLE

  The meta object id for the '`Stock Variable`' class.

  See Also:
    `SdStockVariableImpl`, `SdPackageImpl.getSdStockVariable()`, Constant Field Values

### SD_STOCK_VARIABLE__NAME

    static final int SD_STOCK_VARIABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SD_STOCK_VARIABLE__COMMENT

    static final int SD_STOCK_VARIABLE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### SD_STOCK_VARIABLE__TO_ELEMENT

    static final int SD_STOCK_VARIABLE__TO_ELEMENT

  The feature id for the 'To Element' containment reference list.

  See Also:
    Constant Field Values

### SD_STOCK_VARIABLE__PARENT

    static final int SD_STOCK_VARIABLE__PARENT

  The feature id for the 'Parent' container reference.

  See Also:
    Constant Field Values

### SD_STOCK_VARIABLE__INTEGRAL

    static final int SD_STOCK_VARIABLE__INTEGRAL

  The feature id for the 'Integral' attribute.

  See Also:
    Constant Field Values

### SD_STOCK_VARIABLE__INITIAL_VALUE

    static final int SD_STOCK_VARIABLE__INITIAL_VALUE

  The feature id for the 'Initial Value' attribute.

  See Also:
    Constant Field Values

### SD_STOCK_VARIABLE_FEATURE_COUNT

    static final int SD_STOCK_VARIABLE_FEATURE_COUNT

  The number of structural features of the 'Stock Variable' class.

  See Also:
    Constant Field Values

### SD_FLOW_VARIABLE

    static final int SD_FLOW_VARIABLE

  The meta object id for the '`Flow Variable`' class.

  See Also:
    `SdFlowVariableImpl`, `SdPackageImpl.getSdFlowVariable()`, Constant Field Values

### SD_FLOW_VARIABLE__NAME

    static final int SD_FLOW_VARIABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SD_FLOW_VARIABLE__COMMENT

    static final int SD_FLOW_VARIABLE__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### SD_FLOW_VARIABLE__TO_ELEMENT

    static final int SD_FLOW_VARIABLE__TO_ELEMENT

  The feature id for the 'To Element' containment reference list.

  See Also:
    Constant Field Values

### SD_FLOW_VARIABLE__PARENT

    static final int SD_FLOW_VARIABLE__PARENT

  The feature id for the 'Parent' container reference.

  See Also:
    Constant Field Values

### SD_FLOW_VARIABLE__EQUATION

    static final int SD_FLOW_VARIABLE__EQUATION

  The feature id for the 'Equation' attribute.

  See Also:
    Constant Field Values

### SD_FLOW_VARIABLE_FEATURE_COUNT

    static final int SD_FLOW_VARIABLE_FEATURE_COUNT

  The number of structural features of the 'Flow Variable' class.

  See Also:
    Constant Field Values

### SD_CONNECTOR

    static final int SD_CONNECTOR

  The meta object id for the '`Connector`' class.

  See Also:
    `SdConnectorImpl`, `SdPackageImpl.getSdConnector()`, Constant Field Values

### SD_CONNECTOR__NAME

    static final int SD_CONNECTOR__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SD_CONNECTOR__COMMENT

    static final int SD_CONNECTOR__COMMENT

  The feature id for the 'Comment' attribute.

  See Also:
    Constant Field Values

### SD_CONNECTOR__TO_ELEMENT

    static final int SD_CONNECTOR__TO_ELEMENT

  The feature id for the 'To Element' reference.

  See Also:
    Constant Field Values

### SD_CONNECTOR_FEATURE_COUNT

    static final int SD_CONNECTOR_FEATURE_COUNT

  The number of structural features of the 'Connector' class.

  See Also:
    Constant Field Values

Method Detail

### getSdNamedElement

    org.eclipse.emf.ecore.EClass getSdNamedElement()

  Returns the meta object for class '`Named Element`'.

  Returns:
    the meta object for class 'Named Element'.
  See Also:
    `SdNamedElement`

### getSdNamedElement_Name

    org.eclipse.emf.ecore.EAttribute getSdNamedElement_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `SdNamedElement.getName()`, `getSdNamedElement()`

### getSdNamedElement_Comment

    org.eclipse.emf.ecore.EAttribute getSdNamedElement_Comment()

  Returns the meta object for the attribute '`Comment`'.

  Returns:
    the meta object for the attribute 'Comment'.
  See Also:
    `SdNamedElement.getComment()`, `getSdNamedElement()`

### getSdAbstractVariable

    org.eclipse.emf.ecore.EClass getSdAbstractVariable()

  Returns the meta object for class '`Abstract Variable`'.

  Returns:
    the meta object for class 'Abstract Variable'.
  See Also:
    `SdAbstractVariable`

### getSdAbstractVariable_ToElement

    org.eclipse.emf.ecore.EReference getSdAbstractVariable_ToElement()

  Returns the meta object for the containment reference list '`To Element`'.

  Returns:
    the meta object for the containment reference list 'To Element'.
  See Also:
    `SdAbstractVariable.getToElement()`, `getSdAbstractVariable()`

### getSdAbstractVariable_Parent

    org.eclipse.emf.ecore.EReference getSdAbstractVariable_Parent()

  Returns the meta object for the container reference '`Parent`'.

  Returns:
    the meta object for the container reference 'Parent'.
  See Also:
    `SdAbstractVariable.getParent()`, `getSdAbstractVariable()`

### getSdEquationVariable

    org.eclipse.emf.ecore.EClass getSdEquationVariable()

  Returns the meta object for class '`Equation Variable`'.

  Returns:
    the meta object for class 'Equation Variable'.
  See Also:
    `SdEquationVariable`

### getSdEquationVariable_Equation

    org.eclipse.emf.ecore.EAttribute getSdEquationVariable_Equation()

  Returns the meta object for the attribute '`Equation`'.

  Returns:
    the meta object for the attribute 'Equation'.
  See Also:
    `SdEquationVariable.getEquation()`, `getSdEquationVariable()`

### getSdModel

    org.eclipse.emf.ecore.EClass getSdModel()

  Returns the meta object for class '`Model`'.

  Returns:
    the meta object for class 'Model'.
  See Also:
    `SdModel`

### getSdModel_AbstractVariables

    org.eclipse.emf.ecore.EReference getSdModel_AbstractVariables()

  Returns the meta object for the containment reference list '`Abstract Variables`'.

  Returns:
    the meta object for the containment reference list 'Abstract Variables'.
  See Also:
    `SdModel.getAbstractVariables()`, `getSdModel()`

### getSdAuxVariable

    org.eclipse.emf.ecore.EClass getSdAuxVariable()

  Returns the meta object for class '`Aux Variable`'.

  Returns:
    the meta object for class 'Aux Variable'.
  See Also:
    `SdAuxVariable`

### getSdStockVariable

    org.eclipse.emf.ecore.EClass getSdStockVariable()

  Returns the meta object for class '`Stock Variable`'.

  Returns:
    the meta object for class 'Stock Variable'.
  See Also:
    `SdStockVariable`

### getSdStockVariable_Integral

    org.eclipse.emf.ecore.EAttribute getSdStockVariable_Integral()

  Returns the meta object for the attribute '`Integral`'.

  Returns:
    the meta object for the attribute 'Integral'.
  See Also:
    `SdStockVariable.getIntegral()`, `getSdStockVariable()`

### getSdStockVariable_InitialValue

    org.eclipse.emf.ecore.EAttribute getSdStockVariable_InitialValue()

  Returns the meta object for the attribute '`Initial Value`'.

  Returns:
    the meta object for the attribute 'Initial Value'.
  See Also:
    `SdStockVariable.getInitialValue()`, `getSdStockVariable()`

### getSdFlowVariable

    org.eclipse.emf.ecore.EClass getSdFlowVariable()

  Returns the meta object for class '`Flow Variable`'.

  Returns:
    the meta object for class 'Flow Variable'.
  See Also:
    `SdFlowVariable`

### getSdConnector

    org.eclipse.emf.ecore.EClass getSdConnector()

  Returns the meta object for class '`Connector`'.

  Returns:
    the meta object for class 'Connector'.
  See Also:
    `SdConnector`

### getSdConnector_ToElement

    org.eclipse.emf.ecore.EReference getSdConnector_ToElement()

  Returns the meta object for the reference '`To Element`'.

  Returns:
    the meta object for the reference 'To Element'.
  See Also:
    `SdConnector.getToElement()`, `getSdConnector()`

### getSdGeneratable

    org.eclipse.emf.ecore.EClass getSdGeneratable()

  Returns the meta object for class '`Generatable`'.

  Returns:
    the meta object for class 'Generatable'.
  See Also:
    `SdGeneratable`

### getSdFactory

    SdFactory getSdFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.